Package com.ocient.cli.extract.writer

# Class CustomTsvWriter

java.lang.Object
com.univocity.parsers.common.AbstractWriter<com.univocity.parsers.tsv.TsvWriterSettings>
com.univocity.parsers.tsv.TsvWriter
com.ocient.cli.extract.writer.CustomTsvWriter

public class CustomTsvWriter extends com.univocity.parsers.tsv.TsvWriter

## Field Summary

### Fields inherited from class com.univocity.parsers.common.AbstractWriter

`appender, comment, emptyValue, expandRows, headers, headerTrimFlags, ignoreLeading, ignoreTrailing, nullValue, recordCount, usingNullOrEmptyValue, whitespaceRangeStart, writingHeaders`

## Constructor Summary

Constructors
Constructor
Description
`CustomTsvWriter(Writer writer, com.univocity.parsers.tsv.TsvWriterSettings settings, ExtractConfiguration config)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`processRow(Object[] row)`

### Methods inherited from class com.univocity.parsers.tsv.TsvWriter

`initialize`

### Methods inherited from class com.univocity.parsers.common.AbstractWriter

`addStringValues, addValue, addValue, addValue, addValues, addValues, allowTrim, appendToRow, appendToRow, appendValueToRow, close, commentRow, commentRowToString, discardValues, enableNewlineAfterRecord, expand, flush, getRecordCount, getStringValue, processObjectRecords, processObjectRecordsAndClose, processObjectRecordsAndClose, processObjectRecordsToString, processObjectRecordsToString, processRecord, processRecord, processRecord, processRecord, processRecord, processRecords, processRecords, processRecords, processRecords, processRecords, processRecordsAndClose, processRecordsAndClose, processRecordsAndClose, processRecordsAndClose, processRecordsToString, processRecordsToString, processRecordsToString, processRecordsToString, processRecordToString, processRecordToString, processRecordToString, processRecordToString, processRecordToString, processValuesToRow, processValuesToString, skipLeadingWhitespace, updateFieldExclusion, updateFieldExclusion, updateFieldSelection, updateFieldSelection, writeEmptyRow, writeHeaders, writeHeaders, writeHeaders, writeHeadersToString, writeHeadersToString, writeHeadersToString, writeObjectRows, writeObjectRowsAndClose, writeObjectRowsAndClose, writeObjectRowsToString, writeRecord, writeRecords, writeRecords, writeRecordsAndClose, writeRecordsAndClose, writeRecordsAndClose, writeRecordsToString, writeRecordsToString, writeRecordToString, writeRow, writeRow, writeRow, writeRow, writeRow, writeRow, writeRows, writeRows, writeRows, writeRows, writeRows, writeRowsAndClose, writeRowsAndClose, writeRowsAndClose, writeRowsAndClose, writeRowsAndClose, writeRowsToString, writeRowsToString, writeRowsToString, writeRowsToString, writeRowsToString, writeRowToString, writeRowToString, writeRowToString, writeRowToString, writeRowToString, writeStringRows, writeStringRows, writeStringRows, writeStringRowsAndClose, writeStringRowsAndClose, writeStringRowsAndClose, writeStringRowsToString, writeStringRowsToString, writeStringRowsToString, writeValuesToRow, writeValuesToString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomTsvWriter

public CustomTsvWriter(Writer writer, com.univocity.parsers.tsv.TsvWriterSettings settings, ExtractConfiguration config)

## Method Details

### processRow

protected void processRow(Object[] row)

Overrides:
  `processRow` in class `com.univocity.parsers.tsv.TsvWriter`